//Preview need a link in form as Ex and a corresponding PUT action in controller
//Ex preview trigger:
// <%= link_to "NewPreview", realtime_preview_admin_ad_banner_path(ad_banner_tab) , :class=>'preview_trigger'%>

$(document).ready(function() {
	// $(".post_preview").click(function(e){
	// 	$("#main-wrap").after("<span id='show_preview'></span>");
	// 	e.preventDefault();
	// 	var form = $(this).parents("form").first()
 //        	//var cont = form["content"].value;
 //   //      	$.ajax({
 //   //      		type: 'POST',
 //   //      		url: $(this).attr("href")+'?preview=true',
 //   //      		data: form.serialize(),
 //   //      		dataType: "script",
 //   //      		success: function (msg) {
	// 		// 		$("#"+start_modal_with_id).modal('show'); },
	// 		// error: function(){
	// 		// 	alert("ERROR");
	// 		// 	}
 //   //      	});
	// 		url = "/panel/news/back_end/news_bulletins/preview?preview=true"
	// 		// alert(url)
	// 		form.attr("action",url);
 //        	form.submit();
	// 	//return false;
	// });
	$("button.post_preview").click(function(){
		var btn = document.getElementById("button_for_preview");
		var attrs = btn.attributes;
		var url = attrs['url'];
		// url = url.replace("url=","");
		$("form.nccu_ajax_form").ajaxSubmit({
			beforeSubmit: function(a,f,o){
				$("#main-wrap").after("<span id='show_preview'></span>");
				o.dataType = 'script';
				o.url = url.nodeValue;
				o.type =  'post';
			},success: function(msg) { }

		});
	})
	// $("form.nccu_ajax_form").ajaxForm({
 //        beforeSubmit: function(a,f,o) {
 //        	// if(clicked_what.hasClass("post_preview")){
 //         //          $("#main-wrap").after("<span id='show_preview'></span>");
 //         //          o.dataType = 'script';
 //         //          o.url = clicked_what.attr("url");
 //         //    }
 //        },
 //        success: function(data) {
 //             // if(!clicked_what.hasClass("post_preview")){
 //             //    window.location = data.redirect_url;
 //             // }
 //          }
 //    })

	$("a.preview_trigger").live('click',function(){
		$("#main-wrap").after("<span id='show_preview'></span>");
		$.ajax({
			type: 'PUT',
			url:$(this).attr("href"),
			data:$(this).parents("form").serialize(),
			success: function (msg) {
					$("#"+start_modal_with_id).modal('show'); },
			error: function(){
				alert("ERROR");
				}
			});  
			return false;
		});
});